# Consul::Peer::Selector

A conditional, autoloading, menu component specifically for navigating to peers.

Please note:

- Currently at least, you must add this inside of a `<ul>` element.
- For the moment, make sure you have enabled peers using developer debug
  cookies.

```hbs preview-template
<ul>
  <Consul::Peer::Selector
    @dc={{hash
      Name='dc-1'
    }}
    @nspace='default'
    @partition='default'
  />
</ul>
```


## Arguments

| Argument/Attribute | Type | Default | Description |
| --- | --- | --- | --- |
| `dc` | `object` |  | The current datacenter |
| `nspace` | `string` |  | The name of the current namespace |
| `partition` | `string` |  | The name of the current partition |

## See

- [Template Source Code](./index.hbs)

---
